package com.adealink.weparty.module.im

import com.adealink.frame.startup.IAppStartUpTask
import com.adealink.weparty.aab.IService
import com.adealink.weparty.module.profile.data.UserInfo

interface IIMService : IService<IIMService>, IAppStartUpTask {

    fun isLogin(): Boolean

    fun updateIMSelfInfo(userInfo: UserInfo?)
}